Last Comment Bug 820117 - XQuartz verification no longer required in python/mozboot/mozboot/osx.py
: XQuartz verification no longer required in python/mozboot/mozboot/osx.py
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: x86 Mac OS X
: -- normal (vote)
: mozilla20
Assigned To: Jorge Luis Mendez [:jlmendezbonini]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-12-10 13:21 PST by Jorge Luis Mendez [:jlmendezbonini]
Modified: 2012-12-12 02:06 PST (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
Removed XQuartz verifications from python/mozboot/mozboot/osx.py (2.15 KB, patch)
2012-12-10 13:23 PST, Jorge Luis Mendez [:jlmendezbonini]
gps: review+
Details | Diff | Review
Remove XQuartz verifications in python/mozboot/mozboot/osx.py (5.59 KB, patch)
2012-12-11 12:54 PST, Jorge Luis Mendez [:jlmendezbonini]
no flags Details | Diff | Review

Description Jorge Luis Mendez [:jlmendezbonini] 2012-12-10 13:21:12 PST
User Agent: Mozilla/5.0 (Macintosh; Intel Mac OS X 10.8; rv:17.0) Gecko/20100101 Firefox/17.0
Build ID: 20121128204232

Steps to reproduce:

System:
OSX 10.8.2 and using homebrew

I ran the one-line Firefox build prerequisites bootstrap command:

wget https://hg.mozilla.org/mozilla-central/raw-file/default/python/mozboot/bin/bootstrap.py && python bootstrap.py



Actual results:

Received this message:

"Homebrew needs XQuartz installed in order to build some dependencies. Please
download and install XQuartz from the following URL:

    http://xquartz.macosforge.org/downloads/SL/XQuartz-2.7.3.dmg\

When that has finished, please relaunch bootstrap."




Expected results:

Homebrew no longer requires XQuartz to build Python.

See https://github.com/mxcl/homebrew/issues/14989 for the discussion and https://github.com/mxcl/homebrew/commit/8f0c5f795816690e903b1e74b343f2572dda45ff for the commit that removes the dependency.
Comment 1 Jorge Luis Mendez [:jlmendezbonini] 2012-12-10 13:23:25 PST
Created attachment 690537 [details] [diff] [review]
Removed XQuartz verifications from python/mozboot/mozboot/osx.py

My first bug report so I'm not sure whether the submitted patch file was generated properly. Thanks.
Comment 2 Gregory Szorc [:gps] 2012-12-11 11:02:54 PST
Comment on attachment 690537 [details] [diff] [review]
Removed XQuartz verifications from python/mozboot/mozboot/osx.py

Review of attachment 690537 [details] [diff] [review]:
-----------------------------------------------------------------

Looks good!

The patch is /almost/ proper. We'd like patches to have the header lines (author, commit message, etc) to make it easier to check things in. See https://developer.mozilla.org/en-US/docs/Mercurial_FAQ#How_can_I_generate_a_patch_for_somebody_else_to_check-in_for_me.3F (preferred) or |git format-patch|.

But, this being your first patch, I can normalize things for you.

Your name and email will be attached to the patch. Is it OK if I use Jorge Luis Mendez <jlmendezbonini@gmail.com>?
Comment 3 Gregory Szorc [:gps] 2012-12-11 11:04:14 PST
Please answer authorship question from previous comment or upload a properly-formatted patch. Then, I'll check this in for you.
Comment 4 Jorge Luis Mendez [:jlmendezbonini] 2012-12-11 12:54:34 PST
Created attachment 691021 [details] [diff] [review]
Remove XQuartz verifications in python/mozboot/mozboot/osx.py

Generated with: git format-patch -U8 -W.
Hopefully this is good. If not, please go ahead and fix it for me if it's not too much trouble. I don't want to make you waste too much time with such a simple patch.

Thanks.
Comment 5 Gregory Szorc [:gps] 2012-12-11 14:04:23 PST
https://hg.mozilla.org/integration/mozilla-inbound/rev/7ce1a8ae8ed6

This should be merged into the main tree within a few hours.

Congratulations on landing your first patch!
Comment 6 Ed Morley [:emorley] 2012-12-12 02:06:30 PST
https://hg.mozilla.org/mozilla-central/rev/7ce1a8ae8ed6

Note You need to log in before you can comment on or make changes to this bug.